# Class: MapBookKeeping

## MapBookKeeping

#### new MapBookKeeping(mapResultnon-null, mapFunctionnon-null, mapContextnullable)

PooledClass representing the bookkeeping associated with performing a child mapping. Allows avoiding binding callbacks.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`mapResult` | * |  | Object containing the ordered map of results.
`mapFunction` | function |  | Function to perform mapping with.
`mapContext` | * | <nullable> | Context to perform mapping with.

Source:
  - src/js/bundle.js, line 56649